﻿

using SQLDeleter;

namespace SQL_Deleter
{
    public partial class Connector : Form
    {
        public ConnectionInfo Connection { get; set; }
        public Connector()
        {
            InitializeComponent();

#if DEBUG
            ConnectionBox.Text = "OHLSSON10P1\\SQLEXPRESS";
            DatabaseBox.Text = "test";
#endif
            AutenticationBox.SelectedIndex = 0;
        }

        public Connector(ConnectionInfo conn)
        {
            InitializeComponent();
            AutenticationBox.SelectedIndex = conn.WIndowsAutentication ? 0 : 1;
            UserNameBox.Text = conn.UserName;
            PasswordBox.Text = conn.Password;
            ConnectionBox.Text = conn.ConnectionSql;
            DatabaseBox.Text = conn.Database;
        }

        private void UseButton_Click(object sender, EventArgs e)
        {
            Connection = new ConnectionInfo(ConnectionBox.Text, DatabaseBox.Text, UserNameBox.Text, PasswordBox.Text, AutenticationBox.SelectedIndex == 0);
            // var conn = new Connection(Connection.GetConnectionString());
            var test = Connection.TestConnection();
            if (test == null)
            {
                DialogResult = DialogResult.OK;
                Close();
            }
            else
            {
                MessageBox.Show(test);
            }
        }

        private void AutenticationBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            if (AutenticationBox.SelectedIndex == 0)
            {
                UserNameBox.Enabled = false;
                PasswordBox.Enabled = false;
            }
            else
            {
                UserNameBox.Enabled = true;
                PasswordBox.Enabled = true;
            }
        }
    }
}
